## buildbot 1.1.1

=== Makefile ===
# developer utilities
DOCKERBUILD := docker build --build-arg http_proxy=$$http_proxy --build-arg https_proxy=$$https_proxy

.PHONY: docs pylint flake8 virtualenv


VENV_NAME:=.venv$(VENV_PY_VERSION)
PIP?=$(VENV_NAME)/bin/pip
VENV_PY_VERSION?=python

WWW_PKGS := pkg www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
WWW_EX_PKGS := nestedexample codeparameter
ALL_PKGS := master worker $(WWW_PKGS)

ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
.PHONY: $(ALL_PKGS_TARGETS)

# build rst documentation
docs:
	$(MAKE) -C master/docs

# check rst documentation
docschecks:
	$(MAKE) -C master/docs SPHINXOPTS=-W spelling
	$(MAKE) -C master/docs SPHINXOPTS=-q linkcheck

# pylint the whole sourcecode (validate.sh will do that as well, but only process the modified files)
pylint:
	$(MAKE) -C master pylint; master_res=$$?; \
	$(MAKE) -C worker pylint; worker_res=$$?; \
	if [ $$master_res != 0 ] || [ $$worker_res != 0 ]; then exit 1; fi

# flake8 the whole sourcecode (validate.sh will do that as well, but only process the modified files)
flake8:
	$(MAKE) -C master flake8
	$(MAKE) -C worker flake8
	flake8 --config=common/flake8rc www/*/buildbot_*/
	flake8 --config=common/flake8rc www/*/setup.py

frontend_deps: $(VENV_NAME)
	$(PIP) install -e pkg
	$(PIP) install mock wheel buildbot

# rebuild front-end from source
frontend: frontend_deps
	for i in $(WWW_PKGS) $(WWW_EX_PKG); do $(PIP) install -e $$i || exit 1; done

# do installation tests. Test front-end can build and install for all install methods
frontend_install_tests: frontend_deps
	trial pkg/test_buildbot_pkg.py

# install git hooks for validating patches at commit time
hooks:
	cp common/hooks/* `git rev-parse --git-dir`/hooks
rmpyc:
	find . \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;

isort:
	isort -rc worker master
	git diff --name-only --stat "HEAD" | grep '.py$$' | xargs autopep8 -i
	git commit -a -m "isort+autopep8 run"


docker: docker-buildbot-worker docker-buildbot-worker-node docker-buildbot-master docker-buildbot-master-ubuntu
	echo done
docker-buildbot-worker:
	$(DOCKERBUILD) -t buildbot/buildbot-worker:master worker
docker-buildbot-master:
	$(DOCKERBUILD) -t buildbot/buildbot-master:master master
docker-buildbot-master-ubuntu:
	$(DOCKERBUILD) -t buildbot/buildbot-master-ubuntu:master -f master/Dockerfile.ubuntu master

$(VENV_NAME):
	virtualenv -p $(VENV_PY_VERSION) $(VENV_NAME)
	$(PIP) install -U pip setuptools

# helper for virtualenv creation
virtualenv: $(VENV_NAME)   # usage: make virtualenv VENV_PY_VERSION=python3.4
	@echo now you can type following command  to activate your virtualenv
	@echo . $(VENV_NAME)/bin/activate
	$(PIP) install -e pkg \
		-e 'master[tls,test,docs]' \
		-e 'worker[test]' \
		buildbot_www packaging \
		'towncrier>=17.8.0'

release_notes: $(VENV_NAME)
	test ! -z "$(VERSION)"  #  usage: make release_notes VERSION=0.9.2
	yes | towncrier --version $(VERSION) --date `date -u  +%F`
	git commit -m "relnotes for $(VERSION)"

$(ALL_PKGS_TARGETS): cleanup_for_tarballs frontend_deps
	. .venv/bin/activate && ./common/maketarball.sh $(patsubst %_pkg,%,$@)

cleanup_for_tarballs:
	find . -name VERSION -exec rm {} \;
	rm -rf dist
	mkdir dist
.PHONY: cleanup_for_tarballs
tarballs: $(ALL_PKGS_TARGETS)
.PHONY: tarballs


clean:
	git clean -xdf
# helper for release creation
release: virtualenv
	test ! -z "$(VERSION)"  #  usage: make release VERSION=0.9.2
	test -d "../bbdocs/.git"  #  make release should be done with bbdocs populated at the same level as buildbot dir
	GPG_TTY=`tty` git tag -a -sf v$(VERSION) -m "TAG $(VERSION)"
	git push buildbot "v$(VERSION)"  # tarballs are made by circleci.yml, and create a github release
	export VERSION=$(VERSION) ; . .venv/bin/activate && make docs
	rm -rf ../bbdocs/docs/$(VERSION)  # in case of re-run
	cp -r master/docs/_build/html ../bbdocs/docs/$(VERSION)
	cd ../bbdocs && git pull
	. .venv/bin/activate && cd ../bbdocs && make && git add . && git commit -m $(VERSION) && git push
	@echo When tarballs have been generated by circleci:
	@echo make finishrelease

finishrelease:
	rm -rf dist
	python ./common/download_release.py
	rm -rf ./dist/v*
	./common/smokedist.sh
	twine upload --sign dist/*

pyinstaller: virtualenv
	$(PIP) install pyinstaller
	$(VENV_NAME)/bin/pyinstaller -F pyinstaller/buildbot-worker.spec

=== master/Makefile ===
# developer utilities
pylint:
	pylint -j4 --rcfile=../common/pylintrc buildbot
	@test ! -f fail

tutorial:
	cd docs/tutorial; $(MAKE) html
flake8:
	flake8 --config=../common/flake8rc buildbot
	flake8 --config=../common/flake8rc docs/conf.py
rmpyc:
	make -C .. rmpyc

=== worker/Makefile ===
# developer utilities
pylint:
	pylint -j4 --rcfile=../common/pylintrc buildbot_worker

flake8:
	flake8 --config=../common/flake8rc buildbot_worker

=== master/docs/manual/_images/Makefile ===

SOURCES = overview_src.svg workers_src.svg master_src.svg status_src.svg
SVGS = $(patsubst %_src.svg,%.svg,$(SOURCES))
PNGS = $(patsubst %_src.svg,%.png,$(SOURCES))
EPSS = $(patsubst %_src.svg,%.eps,$(SOURCES))

.PHONY: images-svg images-png images-eps
all: $(SVGS) $(PNGS) $(EPSS)
images-svg: $(SVGS)
images-png: $(PNGS)
images-eps: $(EPSS)

# Source SVG files contains text labels in "PT Sans" font which may not be
# installed on end user machine (originally text was in proprietary
# "Myriad Pro" font, "PT Sans" was chosen to replace it due to its visual
# similarity).
# Render these text labels into paths.
# "PT Sans" font can be downloaded from developer official site:
# <http://www.paratype.com/public/> or from Google Fonts collection.
%.svg: %_src.svg
	cp $< _tmp.svg
	# Render text as path.
	inkscape _tmp.svg --verb EditSelectAll --verb=ObjectToPath --verb FileSave --verb FileQuit
	# Cleanup SVG to reduce its size.
	scour --enable-comment-stripping --remove-metadata -i _tmp.svg -o $@
	rm -f _tmp.svg
%.png: %.svg
	inkscape -b white --export-png $@ $<
	mogrify -trim +repage $@
%.eps: %.svg
	inkscape --export-eps $@ $<
	mogrify -trim +repage $@
clean:
	rm -f *.png *.eps overview.svg workers.svg master.svg status.svg

=== debian/changelog ===
buildbot (1.1.1-3ubuntu5) bionic; urgency=medium

  * Increase timeouts for starting services.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2018 10:40:12 +0200

buildbot (1.1.1-3ubuntu4) bionic; urgency=medium

  * Try harder to include the information about autopkg test failures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 02:00:22 +0200

buildbot (1.1.1-3ubuntu3) bionic; urgency=medium

  * Ignore the autopkg test failure on arm64 for now.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 22:43:02 +0200

buildbot (1.1.1-3ubuntu1) bionic; urgency=medium

  * Be more verbose for failures in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 19:49:44 +0200

buildbot (1.1.1-3) unstable; urgency=medium

  * Set PAPT as maintainer and update Vcs-* urls
  * Add systemd service files
  * Fix tests for systemd

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 20:51:53 +0200

buildbot (1.1.1-2) unstable; urgency=medium

  * Fix worker init script.
  * Fix empty doc package.
  * Update Standards-Version to 4.1.4. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 13:06:10 +0200

buildbot (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer (Closes: #883529).
  * Switch to python 3.
  * The web-ui is no more included in the main package and not yet available
    in Debian. In the meantime, you may install buildbot-www from pypi.

 -- Robin Jarry <robin@jarry.cc>  Fri, 06 Apr 2018 21:00:05 +0200

buildbot (0.8.14-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #883529.
  * New upstream version (but not 0.9.x).

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 20:10:15 +0100

buildbot (0.8.12-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to drop SQLALchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jan 2017 23:11:50 +0100

buildbot (0.8.12-3.1) unstable; urgency=medium

  * NMU to fix build with sphinx 1.4 (Closes: #827622).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 26 Jul 2016 19:07:43 +0000

=== debian/control ===
Source: buildbot
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Robin Jarry <robin@jarry.cc>
Standards-Version: 4.1.4
Build-Depends:
 debhelper (>= 10.0),
 dh-python (>= 3.20180313~),
 bash-completion,
 python3-all (>= 3.5),
 python3-pkg-resources,
 python3-setuptools,
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-future,
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 0.8.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 python3-mock,
 python3-treq,
 python3-yaml,
 python3-sphinx,
 python3-docutils,
 python3-sphinxcontrib.blockdiag,
 sphinx-doc,
 sphinx-common,
Homepage: https://buildbot.net
Vcs-Git: https://salsa.debian.org/python-team/applications/buildbot.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/buildbot

Package: python3-buildbot
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-future,
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 0.8.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 passwd,
 lsb-base,
Breaks:
 buildbot (<< 1.0),
 buildbot-slave (<< 1.0),
Recommends:
 python3-buildbot-worker,
 bash-completion,
Suggests:
 python3-buildbot-doc,
 python3-lz4,
 python3-psycopg2 | python3-mysqldb,
Description: System to automate the compile/test cycle (server)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the master server.

Package: python3-buildbot-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: System to automate the compile/test cycle (documentation)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the HTML documentation for both the master
 and worker.

Package: python3-buildbot-worker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-twisted (>= 17.9.0),
 passwd,
 lsb-base,
Breaks:
 buildbot (<< 1.0),
 buildbot-slave (<< 1.0),
Recommends:
 bzr | subversion | cvs | mercurial | darcs | git,
Description: System to automate the compile/test cycle (worker agent)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the worker, which performs the actual builds.
 It is recommended to run the worker on behalf of a non-privileged user.

Package: buildbot
Depends:
 ${misc:Depends},
 python3-buildbot,
Architecture: all
Section: oldlibs
Description: transitional package for python3-buildbot
 This is a transitional package for python3-buildbot. It can safely be
 removed.

Package: buildbot-slave
Depends:
 ${misc:Depends},
 python3-buildbot-worker,
Architecture: all
Section: oldlibs
Description: transitional package for python3-buildbot-worker
 This is a transitional package for python3-buildbot-worker. It can
 safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')
export BUILDBOT_VERSION = $(VERSION)

override_dh_auto_clean \
override_dh_auto_configure \
override_dh_auto_build:
	$(@:override_%=%) --buildsystem=pybuild --sourcedirectory=master \
		--package=python3-buildbot -- --name=buildbot
	$(@:override_%=%) --buildsystem=pybuild --sourcedirectory=worker \
		--package=python3-buildbot-worker -- --name=buildbot_worker
	$(@:override_%=%) --sourcedirectory=master/docs \
		--package=python3-buildbot-doc

space :=
space +=
test_pythonpaths = \
	$(CURDIR)/pkg \
	$(CURDIR)/debian/python3-buildbot/{install_dir} \
	$(CURDIR)/debian/python3-buildbot-worker/{install_dir}
test_env = PYTHONPATH=$(subst $(space),:,$(test_pythonpaths)) LC_ALL=C.UTF-8
test_command = trial3 --reporter=text buildbot.test buildbot_worker.test

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild --sourcedirectory=master \
		--package=python3-buildbot -- --name=buildbot \
		--after-install='rm {destdir}/usr/bin/buildbot_windows_service'
	dh_auto_install --buildsystem=pybuild --sourcedirectory=worker \
		--package=python3-buildbot-worker -- --name=buildbot_worker \
		--after-install='rm {destdir}/usr/bin/buildbot_worker_windows_service'
	dh_auto_install --sourcedirectory=master/docs \
		--package=python3-buildbot-doc
	dh_auto_test --buildsystem=pybuild -- --system=custom \
		--test-args='$(test_env) $(test_command)'

override_dh_auto_test:
	:

override_dh_systemd_enable:
	:

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installinit:
	dh_installinit --package=python3-buildbot --name=buildmaster
	dh_installinit --package=python3-buildbot --name=buildmaster@ --no-scripts
	dh_installinit --package=python3-buildbot-worker --name=buildbot-worker
	dh_installinit --package=python3-buildbot-worker --name=buildbot-worker@ --no-scripts

%:
	dh $@ --with python3,bash-completion,sphinxdoc

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://github.com/buildbot/buildbot/releases \
	.+/buildbot-(\d\S+?)\.gitarchive\.tar\.gz debian uupdate

## buildbot 1.4.0

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 PIP?=$(VENV_NAME)/bin/pip
 VENV_PY_VERSION?=python
 
-WWW_PKGS := pkg www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
-WWW_EX_PKGS := nestedexample codeparameter
-ALL_PKGS := master worker $(WWW_PKGS)
+WWW_PKGS := www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
+WWW_EX_PKGS := www/nestedexample www/codeparameter
+ALL_PKGS := master worker pkg $(WWW_PKGS)
 
 ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
 .PHONY: $(ALL_PKGS_TARGETS)
@@ -43,11 +43,15 @@
 
 # rebuild front-end from source
 frontend: frontend_deps
-	for i in $(WWW_PKGS) $(WWW_EX_PKG); do $(PIP) install -e $$i || exit 1; done
+	for i in pkg $(WWW_PKGS); do $(PIP) install -e $$i || exit 1; done
 
 # do installation tests. Test front-end can build and install for all install methods
 frontend_install_tests: frontend_deps
 	trial pkg/test_buildbot_pkg.py
+
+# upgrade FE dependencies
+frontend_yarn_upgrade:
+	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; yarn upgrade || echo $$i failed); done
 
 # install git hooks for validating patches at commit time
 hooks:
@@ -61,14 +65,12 @@
 	git commit -a -m "isort+autopep8 run"
 
 
-docker: docker-buildbot-worker docker-buildbot-worker-node docker-buildbot-master docker-buildbot-master-ubuntu
+docker: docker-buildbot-worker docker-buildbot-master
 	echo done
 docker-buildbot-worker:
 	$(DOCKERBUILD) -t buildbot/buildbot-worker:master worker
 docker-buildbot-master:
 	$(DOCKERBUILD) -t buildbot/buildbot-master:master master
-docker-buildbot-master-ubuntu:
-	$(DOCKERBUILD) -t buildbot/buildbot-master-ubuntu:master -f master/Dockerfile.ubuntu master
 
 $(VENV_NAME):
 	virtualenv -p $(VENV_PY_VERSION) $(VENV_NAME)

=== debian/changelog ===
buildbot (1.4.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Be more verbose for failures in the autopkg test.
    - Ignore the autopkg test failure on arm64 and i386 for now.
    - Increase timeouts for starting services.
  * Relax tests on armhf as well.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Sep 2018 12:16:24 +0200

buildbot (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Robin Jarry <robin@jarry.cc>  Tue, 04 Sep 2018 09:43:47 +0200

buildbot (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Update Standards-Version to 4.1.5. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Tue, 17 Jul 2018 12:04:54 +0200

buildbot (1.2.0-1ubuntu3) cosmic; urgency=medium

  * Relax tests on i386 as well.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Aug 2018 12:17:19 +0200

buildbot (1.2.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Be more verbose for failures in the autopkg test.
    - Ignore the autopkg test failure on arm64 for now.
    - Increase timeouts for starting services.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 18:59:46 +0200

buildbot (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * d/patches: remove fix for twisted 18.4

 -- Robin Jarry <robin@jarry.cc>  Tue, 12 Jun 2018 13:47:56 +0200

buildbot (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Robin Jarry ]
  * d/watch: update archive url pattern
  * d/patches: fix test failures with twisted 18.4
  * New upstream version 1.1.2

 -- Robin Jarry <robin@jarry.cc>  Wed, 23 May 2018 12:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Build-Depends:
  debhelper (>= 10.0),
  dh-python (>= 3.20180313~),

## buildbot 2.0.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 VENV_NAME:=.venv$(VENV_PY_VERSION)
 PIP?=$(VENV_NAME)/bin/pip
-VENV_PY_VERSION?=python
+VENV_PY_VERSION?=python3
 
 WWW_PKGS := www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
 WWW_EX_PKGS := www/nestedexample www/codeparameter
@@ -84,7 +84,7 @@
 		-e 'master[tls,test,docs]' \
 		-e 'worker[test]' \
 		buildbot_www packaging \
-		'towncrier>=17.8.0'
+		'towncrier>=17.8.0,<=18.5.0'
 
 release_notes: $(VENV_NAME)
 	test ! -z "$(VERSION)"  #  usage: make release_notes VERSION=0.9.2
@@ -92,7 +92,7 @@
 	git commit -m "relnotes for $(VERSION)"
 
 $(ALL_PKGS_TARGETS): cleanup_for_tarballs frontend_deps
-	. .venv/bin/activate && ./common/maketarball.sh $(patsubst %_pkg,%,$@)
+	. $(VENV_NAME)/bin/activate && ./common/maketarball.sh $(patsubst %_pkg,%,$@)
 
 cleanup_for_tarballs:
 	find . -name VERSION -exec rm {} \;

=== master/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # developer utilities
 pylint:
-	pylint -j4 --rcfile=../common/pylintrc buildbot
+	pylint --rcfile=../common/pylintrc buildbot
 	@test ! -f fail
 
 tutorial:

=== worker/Makefile ===
--- 
+++ 
@@ -4,3 +4,13 @@
 
 flake8:
 	flake8 --config=../common/flake8rc buildbot_worker
+
+.PHONY: Dockerfile.py3
+
+Dockerfile.py3:
+	printf "# generated by 'make -f Makefile Dockerfile.py3', do not edit\n\n" > Dockerfile.py3
+	sed -e "s|python-dev|python3-dev|g" \
+            -e "s|python-setuptool|python3-setuptool|g" \
+            -e "s|pip install|pip3 install|g" \
+            -e "s|easy_install|easy_install3|g" \
+            Dockerfile >> Dockerfile.py3

=== debian/changelog ===
buildbot (2.0.1-2) unstable; urgency=high

  * Fix OAuth module security bypass [CVE-2019-12300] (Closes: #929849)

 -- Robin Jarry <robin@jarry.cc>  Mon, 03 Jun 2019 14:47:25 +0200

buildbot (2.0.1-1) unstable; urgency=medium

  * Use scdoc for man pages
  * New upstream version 2.0.1
  * Set python3-buildbot-doc as Multi-Arch: foreign
  * Use make rules to build man pages with scdoc

 -- Robin Jarry <robin@jarry.cc>  Mon, 11 Feb 2019 21:26:20 +0100

buildbot (2.0.0-1) unstable; urgency=high

  [ Robin Jarry ]
  * Set buildbot-doc as Multi-Arch: foreign
  * New upstream version 2.0.0
  * [CVE-2019-7313] Fix CRLF injection bug (Closes: #921271)
  * d/patches: remove 0005-tests-use-explicit-python-executable-path

  [ Adriano Rafael Gomes ]
  * Add debconf translations: Brazilian Portuguese (Closes: #920542)

  [ Jean-Pierre Giraud ]
  * Add debconf translations: French (Closes: #920710)

  [ Yangfl ]
  * Add debconf translations: Chinese (Closes: #920979)

  [ Frans Spiesschaert ]
  * Add debconf translations: Dutch (Closes: #921089)

  [ victory ]
  * Add debconf translations: Japanese (Closes: #921155)

 -- Robin Jarry <robin@jarry.cc>  Mon, 04 Feb 2019 10:06:17 +0100

buildbot (1.8.0-1) unstable; urgency=medium

  [ Robin Jarry ]
  * Fix upgrade from stable (Closes: #919113)
  * New upstream version 1.8.0
  * Add Debian patch to fix new kubernetes unit tests

  [ Américo Monteiro ]
  * Add debconf translations: Portuguese (Closes: #919128)

  [ Joe Dalton ]
  * Add debconf translations: Danish (Closes: #919079)

  [ Helge Kreutzmann ]
  * Add debconf translations: German (Closes: #919751)

 -- Robin Jarry <robin@jarry.cc>  Mon, 21 Jan 2019 12:07:22 +0100

buildbot (1.7.0-2) unstable; urgency=medium

  * Avoid prompting the user for "unmodified" default files.
  * Fix typos in man pages and scripts.
  * Move from experimental to unstable.

 -- Robin Jarry <robin@jarry.cc>  Wed, 09 Jan 2019 14:47:18 +0100

buildbot (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0 (LP: #1232672, #1279362, #1285779, #1617810)
  * Upgrade standards version to 4.3.0
  * Fix buildbot master startup timeout (Closes: #917422)
  * Enhance systemd services
  * Fix lintian warnings
  * Fix unit tests environment
  * Rename packages again
  * smokes: fix check for systemd
  * Add man pages for master and worker instances administration
    (LP: #1785331)
  * Enable automatic master instances upgrade
  * Restart worker on upgrade

 -- Robin Jarry <robin@jarry.cc>  Tue, 08 Jan 2019 15:05:59 +0100

buildbot (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * d/control: update standards version to 4.2.1

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Nov 2018 22:03:03 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export LC_ALL = C.UTF-8
export VERSION = $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')
export BUILDBOT_VERSION = $(VERSION)

override_dh_auto_clean \
override_dh_auto_configure \
override_dh_auto_build:
	$(@:override_%=%) --buildsystem=pybuild --sourcedirectory=master \
		--package=buildbot
	$(@:override_%=%) --buildsystem=pybuild --sourcedirectory=worker \
		--package=buildbot-worker
	$(@:override_%=%) --sourcedirectory=master/docs \
		--package=buildbot-doc

test_env = \
	PYTHONPATH=pkg:{destdir}/{install_dir} \
	PATH=$$PATH:{destdir}/usr/bin
test_command = trial3 --reporter=text buildbot.test buildbot_worker.test

debian/tmp/manpages/%: debian/manpages/%.scdoc
	mkdir -p $(@D)
	scdoc < $< > $@

manpages_src = $(wildcard debian/manpages/*.scdoc)
manpages = $(addprefix debian/tmp/manpages/,$(notdir $(manpages_src:.scdoc=)))

override_dh_auto_install: $(manpages)
	dh_auto_install --buildsystem=pybuild --sourcedirectory=master \
		--package=buildbot
	dh_auto_install --buildsystem=pybuild --sourcedirectory=worker \
		--package=buildbot-worker
	dh_auto_install --sourcedirectory=master/docs \
		--package=buildbot-doc --destdir=debian/buildbot-doc
	dh_auto_test --buildsystem=pybuild -- --system=custom \
		--test-args='$(test_env) $(test_command)'

override_dh_auto_test:
	:

override_dh_installinit:
	dh_installinit --no-scripts

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start -r --no-restart-after-upgrade
	ln -s /dev/null debian/buildbot/lib/systemd/system/buildbot.service
	ln -s /dev/null debian/buildbot/lib/systemd/system/buildmaster.service
	ln -s /dev/null debian/buildbot-worker/lib/systemd/system/buildbot-worker.service

%:
	dh $@ --with python3,bash-completion,sphinxdoc

## buildbot 2.3.1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 # upgrade FE dependencies
 frontend_yarn_upgrade:
-	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; yarn upgrade || echo $$i failed); done
+	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
 
 # install git hooks for validating patches at commit time
 hooks:

=== debian/changelog ===
buildbot (2.3.1-1) unstable; urgency=medium

  * d/upstream: add second signing key
  * New upstream version 2.3.1
  * d/patches: remove merged by upstream
  * add parameterized dep
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Tue, 09 Jul 2019 09:38:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 10.0),
+ debhelper-compat (= 12),
  dh-python (>= 3.20180313~),
  bash-completion,
- python3-all (>= 3.5),
- python3-pkg-resources,
+ po-debconf,
+ python3 (>= 3.5),
  python3-setuptools,
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
@@ -19,6 +19,7 @@
  python3-jwt,
  python3-migrate (>= 0.9),
  python3-openssl,
+ python3-parameterized,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
  python3-sqlalchemy (>= 0.8.0),
@@ -33,18 +34,19 @@
  python3-sphinxcontrib.blockdiag,
  sphinx-doc,
  sphinx-common,
+ scdoc,
 Homepage: https://buildbot.net
 Vcs-Git: https://salsa.debian.org/python-team/applications/buildbot.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/buildbot
+Rules-Requires-Root: no
 
-Package: python3-buildbot
+Package: buildbot
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
- python3-future,
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
@@ -52,20 +54,21 @@
  python3-openssl,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 0.8.0),
+ python3-sqlalchemy (>= 1.1.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
  passwd,
  lsb-base,
 Breaks:
- buildbot (<< 1.0),
- buildbot-slave (<< 1.0),
+ python3-buildbot (<< 1.7.0),
+Replaces:
+ python3-buildbot (<< 1.7.0),
 Recommends:
- python3-buildbot-worker,
+ buildbot-worker,
  bash-completion,
 Suggests:
- python3-buildbot-doc,
+ buildbot-doc,
  python3-lz4,
  python3-psycopg2 | python3-mysqldb,
 Description: System to automate the compile/test cycle (server)
@@ -85,12 +88,19 @@
  .
  This package contains the master server.
 
-Package: python3-buildbot-doc
+Package: buildbot-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Breaks:
+ buildbot (<< 1.0),
+ python3-buildbot-doc (<< 1.7.0),
+Replaces:
+ buildbot (<< 1.0),
+ python3-buildbot-doc (<< 1.7.0),
 Description: System to automate the compile/test cycle (documentation)
  The BuildBot is a system to automate the compile/test cycle required
  by most software projects to validate code changes. By automatically
@@ -109,7 +119,7 @@
  This package contains the HTML documentation for both the master
  and worker.
 
-Package: python3-buildbot-worker
+Package: buildbot-worker
 Architecture: all
 Depends:
  ${misc:Depends},
@@ -119,8 +129,11 @@
  passwd,
  lsb-base,
 Breaks:
- buildbot (<< 1.0),
  buildbot-slave (<< 1.0),
+ python3-buildbot-worker (<< 1.7.0),
+Replaces:
+ buildbot-slave (<< 1.0),
+ python3-buildbot-worker (<< 1.7.0),
 Recommends:
  bzr | subversion | cvs | mercurial | darcs | git,
 Description: System to automate the compile/test cycle (worker agent)
@@ -141,22 +154,42 @@
  This package contains the worker, which performs the actual builds.
  It is recommended to run the worker on behalf of a non-privileged user.
 
-Package: buildbot
-Depends:
- ${misc:Depends},
- python3-buildbot,
-Architecture: all
-Section: oldlibs
-Description: transitional package for python3-buildbot
- This is a transitional package for python3-buildbot. It can safely be
- removed.
-
 Package: buildbot-slave
 Depends:
  ${misc:Depends},
- python3-buildbot-worker,
+ buildbot-worker,
 Architecture: all
 Section: oldlibs
-Description: transitional package for python3-buildbot-worker
- This is a transitional package for python3-buildbot-worker. It can
+Description: transitional package for buildbot-worker
+ This is a transitional package for buildbot-worker. It can safely be
+ removed.
+
+Package: python3-buildbot
+Depends:
+ ${misc:Depends},
+ buildbot,
+Architecture: all
+Section: oldlibs
+Description: transitional package for buildbot
+ This is a transitional package for buildbot. It can safely be removed.
+
+Package: python3-buildbot-worker
+Depends:
+ ${misc:Depends},
+ buildbot-worker,
+Architecture: all
+Section: oldlibs
+Description: yet another transitional package for buildbot-worker
+ This is a yet another transitional package for buildbot-worker. It can
  safely be removed.
+
+Package: python3-buildbot-doc
+Depends:
+ ${misc:Depends},
+ buildbot-doc,
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Description: transitional package for buildbot-doc
+ This is a transitional package for buildbot-doc. It can safely be
+ removed.

## buildbot 2.6.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,10 @@
 
 WWW_PKGS := www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
 WWW_EX_PKGS := www/nestedexample www/codeparameter
+WWW_DEP_PKGS := www/guanlecoja-ui www/data_module
 ALL_PKGS := master worker pkg $(WWW_PKGS)
+
+WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges, $(WWW_DEP_PKGS) $(WWW_PKGS))
 
 ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
 .PHONY: $(ALL_PKGS_TARGETS)
@@ -36,10 +39,26 @@
 	$(MAKE) -C worker flake8
 	flake8 --config=common/flake8rc www/*/buildbot_*/
 	flake8 --config=common/flake8rc www/*/setup.py
+	flake8 --config=common/flake8rc common/*.py
 
 frontend_deps: $(VENV_NAME)
 	$(PIP) install -e pkg
 	$(PIP) install mock wheel buildbot
+	cd www/build_common; yarn install --pure-lockfile
+	for i in $(WWW_DEP_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile; yarn run build); done
+
+frontend_tests: frontend_deps
+	for i in $(WWW_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile); done
+	for i in $(WWW_PKGS_FOR_UNIT_TESTS); \
+		do (cd $$i; yarn run build-dev || exit 1; yarn run test || exit 1) || exit 1; done
+
+frontend_tests_headless: frontend_deps
+	for i in $(WWW_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile); done
+	for i in $(WWW_PKGS_FOR_UNIT_TESTS); \
+		do (cd $$i; yarn run build-dev || exit 1; yarn run test --browsers BBChromeHeadless || exit 1) || exit 1; done
 
 # rebuild front-end from source
 frontend: frontend_deps
@@ -51,13 +70,14 @@
 
 # upgrade FE dependencies
 frontend_yarn_upgrade:
-	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
+	for i in $(WWW_PKGS) $(WWW_EX_PKGS) $(WWW_DEP_PKGS); \
+		do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
 
 # install git hooks for validating patches at commit time
 hooks:
 	cp common/hooks/* `git rev-parse --git-dir`/hooks
 rmpyc:
-	find . \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;
+	find master worker \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;
 
 isort:
 	isort -rc worker master
@@ -73,18 +93,23 @@
 	$(DOCKERBUILD) -t buildbot/buildbot-master:master master
 
 $(VENV_NAME):
-	virtualenv -p $(VENV_PY_VERSION) $(VENV_NAME)
+	virtualenv -p $(VENV_PY_VERSION) --no-site-packages $(VENV_NAME)
 	$(PIP) install -U pip setuptools
 
 # helper for virtualenv creation
 virtualenv: $(VENV_NAME)   # usage: make virtualenv VENV_PY_VERSION=python3.4
-	@echo now you can type following command  to activate your virtualenv
-	@echo . $(VENV_NAME)/bin/activate
 	$(PIP) install -e pkg \
 		-e 'master[tls,test,docs]' \
 		-e 'worker[test]' \
-		buildbot_www packaging \
-		'towncrier>=17.8.0,<=18.5.0'
+		buildbot_www packaging towncrier
+	@echo now you can type following command  to activate your virtualenv
+	@echo . $(VENV_NAME)/bin/activate
+
+TRIALOPTS?=buildbot
+
+.PHONY: trial
+trial: virtualenv
+	. $(VENV_NAME)/bin/activate && trial $(TRIALOPTS)
 
 release_notes: $(VENV_NAME)
 	test ! -z "$(VERSION)"  #  usage: make release_notes VERSION=0.9.2
@@ -95,7 +120,7 @@
 	. $(VENV_NAME)/bin/activate && ./common/maketarball.sh $(patsubst %_pkg,%,$@)
 
 cleanup_for_tarballs:
-	find . -name VERSION -exec rm {} \;
+	find master pkg worker www -name VERSION -exec rm {} \;
 	rm -rf dist
 	mkdir dist
 .PHONY: cleanup_for_tarballs
@@ -121,7 +146,7 @@
 
 finishrelease:
 	rm -rf dist
-	python ./common/download_release.py
+	python3 ./common/download_release.py
 	rm -rf ./dist/v*
 	./common/smokedist.sh
 	twine upload --sign dist/*

=== worker/Makefile ===
--- 
+++ 
@@ -12,5 +12,6 @@
 	sed -e "s|python-dev|python3-dev|g" \
             -e "s|python-setuptool|python3-setuptool|g" \
             -e "s|pip install|pip3 install|g" \
-            -e "s|easy_install|easy_install3|g" \
+            -e "s|python-pip|python3-pip|g" \
+            -e "s|pip --no-cache-dir|pip3 --no-cache-dir|g" \
             Dockerfile >> Dockerfile.py3

=== master/docs/Makefile ===
all: docs.tgz

.PHONY: tutorial manual

VERSION := $(shell if [ -n "$$VERSION" ]; then echo $$VERSION; else PYTHONPATH=..:$${PYTHONPATH} python -c 'from buildbot import version; print(version)'; fi)

TAR_VERSION := $(shell tar --version)
TAR_TRANSFORM := $(if $(filter bsdtar,$(TAR_VERSION)),-s /^html/$(VERSION)/,--transform s/^html/$(VERSION)/)

docs.tgz: clean html singlehtml
	sed -e 's!href="index.html#!href="#!g' < _build/singlehtml/index.html > _build/html/full.html
	tar -C _build $(TAR_TRANSFORM) -zcf $@ html

# -- Makefile for Sphinx documentation --

# You can set these variables from the command line.
SPHINXOPTS    = -q -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean towncrier html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

towncrier:
	if command -v towncrier >/dev/null 2>&1 ;\
	then \
	cd ../../; towncrier --draft |grep  'No significant changes.' || yes n | towncrier ;\
	fi

html: conf.py towncrier
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: conf.py towncrier
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: conf.py towncrier
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: conf.py towncrier
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: conf.py towncrier
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: conf.py towncrier
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: conf.py towncrier
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BuildbotTutorial.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BuildbotTutorial.qhc"

devhelp: conf.py towncrier
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BuildbotTutorial"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BuildbotTutorial"
	@echo "# devhelp"

epub: conf.py towncrier
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: conf.py towncrier
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: conf.py towncrier
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: conf.py towncrier
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: conf.py towncrier
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: conf.py towncrier
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: conf.py towncrier
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

spelling: conf.py towncrier
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spelling check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

doctest: conf.py towncrier
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== master/docs/manual/_images/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-SOURCES = overview_src.svg workers_src.svg master_src.svg status_src.svg
+SOURCES = overview_src.svg changes_src.svg workers_src.svg master_src.svg status_src.svg
 SVGS = $(patsubst %_src.svg,%.svg,$(SOURCES))
 PNGS = $(patsubst %_src.svg,%.png,$(SOURCES))
 EPSS = $(patsubst %_src.svg,%.eps,$(SOURCES))

=== debian/changelog ===
buildbot (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Bump Standards-Version to 4.5.0
  * Fix lintian warning

 -- Robin Jarry <robin@jarry.cc>  Mon, 27 Jan 2020 13:35:00 +0100

buildbot (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Robin Jarry ]
  * Convert blockdiag diagrams to ascii drawings
  * d/control: remove dependency to python3-sphinxcontrib.blockdiag
  * Bump Standards-Version to 4.4.1
  * New upstream version 2.4.1
  * d/patches: adapt for new version
  * d/control: add build dependency to git

 -- Robin Jarry <robin@jarry.cc>  Tue, 15 Oct 2019 12:10:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 12),
  dh-python (>= 3.20180313~),
  bash-completion,
  po-debconf,
+ git,
  python3 (>= 3.5),
  python3-setuptools,
  python3-autobahn (>= 0.16.0),
@@ -31,7 +32,6 @@
  python3-yaml,
  python3-sphinx,
  python3-docutils,
- python3-sphinxcontrib.blockdiag,
  sphinx-doc,
  sphinx-common,
  scdoc,

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,6 @@
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start -r --no-restart-after-upgrade
 	ln -s /dev/null debian/buildbot/lib/systemd/system/buildbot.service
-	ln -s /dev/null debian/buildbot/lib/systemd/system/buildmaster.service
 	ln -s /dev/null debian/buildbot-worker/lib/systemd/system/buildbot-worker.service
 
 %:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://github.com/buildbot/buildbot/releases \
	.+/buildbot-v?(\d\S+?)\.gitarchive\.tar\.gz debian uupdate

## buildbot 2.8.2

=== worker/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # developer utilities
 pylint:
-	pylint -j4 --rcfile=../common/pylintrc buildbot_worker
+	pylint -j4 --rcfile=../common/pylintrc buildbot_worker setup.py
 
 flake8:
-	flake8 --config=../common/flake8rc buildbot_worker
+	flake8 --config=../common/flake8rc buildbot_worker setup.py
 
 .PHONY: Dockerfile.py3

=== debian/changelog ===
buildbot (2.8.2-3) unstable; urgency=medium

  * Fix unit tests with sqlalchemy 1.3.18 (Closes: #966973)

 -- Robin Jarry <robin@jarry.cc>  Fri, 21 Aug 2020 17:10:45 +0200

buildbot (2.8.2-2) unstable; urgency=medium

  * dh_missing: ignore *windows_service scripts

 -- Robin Jarry <robin@jarry.cc>  Thu, 02 Jul 2020 17:46:57 +0200

buildbot (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * Fixed docs compilation with Sphinx 3.x (Closes: #963642)

 -- Robin Jarry <robin@jarry.cc>  Thu, 02 Jul 2020 15:30:00 +0200

buildbot (2.7.0-1) unstable; urgency=medium

  * Force gbp to use .asc signature
  * New upstream version 2.7.0
  * Add python3-sphinx-rtd-theme as build dependency
  * Rebase debian patches on latest code
  * Remove patches that were applied upstream
  * Remove numbers in debian patches
  * Fix errors in httpclient tests

 -- Robin Jarry <robin@jarry.cc>  Wed, 04 Mar 2020 10:31:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Robin Jarry <robin@jarry.cc>
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 3.20180313~),
  bash-completion,
  po-debconf,
  git,
  python3 (>= 3.5),
- python3-setuptools,
+ python3-setuptools (>= 8.0),
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
  python3-future,
@@ -23,7 +23,7 @@
  python3-parameterized,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 0.8.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
@@ -31,6 +31,7 @@
  python3-treq,
  python3-yaml,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-docutils,
  sphinx-doc,
  sphinx-common,
@@ -54,7 +55,7 @@
  python3-openssl,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 1.1.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
